library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

entity AC_tb is

end AC_tb;

architecture Behavioral of AC_tb is

component AC_DF is
Port ( 
Sensor_1    :in std_logic;
Sensor_2    :in std_logic;
AirCond_1   :out std_logic;
AirCond_2   :out std_logic
);
end component AC_DF;

signal Sensor_1_tb    :std_logic;
signal Sensor_2_tb    :std_logic;
signal AirCond_1_tb   :std_logic;
signal AirCond_2_tb   :std_logic;

begin

test_entity: AC_DF port map (Sensor_1=>Sensor_1_tb, Sensor_2=>Sensor_2_tb, AirCond_1=>AirCond_1_tb, AirCond_2=>AirCond_2_tb); 

enter_values: process is
begin

Sensor_1_tb<='0';Sensor_2_tb<='0';wait for 20 ns;
Sensor_1_tb<='0';Sensor_2_tb<='1';wait for 20 ns;
Sensor_1_tb<='1';Sensor_2_tb<='0';wait for 20 ns;
Sensor_1_tb<='1';Sensor_2_tb<='1';wait for 20 ns;

end process enter_values;


end Behavioral;
